//
//  PhotoCleanTool.swift
//  PhoneManager
//
//  Created by edy on 2025/5/15.
//

import Foundation


struct PhotoCleanTool{
    
    // app内手动删除资源
    func deleteLocalResouces(for ids:[String]){
        
        let other = PhotoManager.shared.otherModels.filter{ids.contains($0.localIdentifier)}
        let screen = PhotoManager.shared.screenShotModels.filter{ids.contains($0.localIdentifier)}
        let video = PhotoManager.shared.videoModels.filter{ids.contains($0.localIdentifier)}
        
        PhotoManager.shared.otherModels = other
        PhotoManager.shared.screenShotModels = screen
        PhotoManager.shared.videoModels = video
        
        
        
    }
    
    // 删除无效资源
    func cleanIneffectiveResources(){
        
        
        
        
    }
}
